%define upstream_name    SVN-Notify
%define upstream_version 2.86

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Subversion activity notification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SVN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Address) >= 1.897.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(Module::Build) >= 0.270.100
BuildRequires: perl(Test::More) >= 0.170.0
BuildRequires: sendmail-command
BuildArch:  noarch

%description
This class may be used for sending email messages for Subversion repository
activity. There are a number of different modes supported, and SVN::Notify is
fully subclassable, to easily add new functionality. By default, A list of all
the files affected by the commit will be assembled and listed in a single
message.

This package also provides a svnnotify command-line tool that can be directly
used in subversion post-commit scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/SVN
%{_mandir}/*/*
%{_bindir}/svnnotify

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.860.0-2.mga6
+ Revision: 1033570
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.860.0-1.mga6
+ Revision: 1002291
- New version 2.86

* Fri Feb 05 2016 umeabot <umeabot> 2.840.0-7.mga6
+ Revision: 939800
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.840.0-6.mga5
+ Revision: 741603
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.840.0-5.mga5
+ Revision: 686159
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 2.840.0-4.mga5
+ Revision: 633974
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 2.840.0-3.mga5
+ Revision: 606107
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.840.0-2.mga4
+ Revision: 531961
- Mageia 4 Mass Rebuild

* Tue Aug 13 2013 sander85 <sander85> 2.840.0-1.mga4
+ Revision: 466172
- update to 2.84

* Sun Jun 02 2013 jquelin <jquelin> 2.830.0-7.mga4
+ Revision: 434509
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 2.830.0-6.mga3
+ Revision: 403828
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.830.0-5.mga3
+ Revision: 372478
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 2.830.0-4.mga3
+ Revision: 315052
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 2.830.0-3.mga3
+ Revision: 283575
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 2.830.0-2.mga3
+ Revision: 254311
- rebuild to fix new shebang with perl 5.16

* Sat Nov 05 2011 kharec <kharec> 2.830.0-1.mga2
+ Revision: 163624
- update to 2.83

* Fri Oct 14 2011 jquelin <jquelin> 2.820.0-2.mga2
+ Revision: 155135
- perl 5.14.2 rebuild

* Mon Jun 27 2011 jquelin <jquelin> 2.820.0-1.mga2
+ Revision: 114628
- update to 2.82

* Sun Jun 19 2011 jquelin <jquelin> 2.810.0-2.mga2
+ Revision: 109897
- rebuild script for perl 5.14.1

* Tue Feb 22 2011 jquelin <jquelin> 2.810.0-1.mga1
+ Revision: 56831
- update to 2.81

* Thu Jan 20 2011 jquelin <jquelin> 2.800.0-1.mga1
+ Revision: 26958
- mageia rebuild
- imported package perl-SVN-Notify


* Sat Jan 16 2010 Jérôme Quelin <jquelin@mandriva.org> 2.800.0-1mdv2010.1
+ Revision: 492162
- update to 2.80

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 2.790.0-1mdv2010.0
+ Revision: 408048
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.79-1mdv2010.0
+ Revision: 370181
- update to new version 2.79

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.78-1mdv2009.1
+ Revision: 292350
- update to new version 2.78

* Sat Jul 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.77-1mdv2009.0
+ Revision: 238733
- update to new version 2.77

* Fri Jul 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.76-1mdv2009.0
+ Revision: 238039
- update to new version 2.76

* Tue May 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.75-1mdv2009.0
+ Revision: 209333
- update to new version 2.75

* Sat May 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.74-1mdv2009.0
+ Revision: 208375
- update to new version 2.74

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.73-1mdv2009.0
+ Revision: 201880
- update to new version 2.73

* Mon Apr 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.71-1mdv2009.0
+ Revision: 196169
- update to new version 2.71
- update to new version 2.71

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 2.70-1mdv2008.1
+ Revision: 177288
- update to new version 2.70

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 2.67-1mdv2008.1
+ Revision: 163388
- update to new version 2.67

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.66-1mdv2008.0
+ Revision: 46689
- update to new version 2.66

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 2.65-1mdv2008.0
+ Revision: 20347
- 2.65


* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.64-1mdv2007.0
+ Revision: 87819
- new version

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 2.63-2mdv2007.0
+ Revision: 54082
- rebuild
- Import perl-SVN-Notify

* Sat Aug 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.63-1mdv2007.0
- New version 2.63

* Sun Jul 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.62-1mdv2007.0
- New version 2.62

* Sat Jul 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.61-1mdv2007.0
- New version 2.61

* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.60-1mdv2007.0
- New version 2.60

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.59-1mdv2007.0
- New release 2.59
- better source URL
- drop useless buildrequires

* Tue Apr 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.57-1mdk
- New release 2.57

* Thu Apr 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.56-1mdk
- New release 2.56

* Mon Mar 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.54-1mdk
- 2.54

* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.53-1mdk
- 2.53

* Tue Jan 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.51-1mdk
- 2.51

* Tue Nov 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.50-1mdk
- new version
- rpmbuildupdate aware
- spec cleanup
- fix directory ownership

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.49-3mdk
- Fix BuildRequires

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.49-2mdk
- Buildrequires fix

* Sat Oct 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.49-1mdk
- Initial Mandriva release

